package ezc.model;

import java.util.Date;

public class Annuncio
{
	private TipoAnnuncio tipo;
	private String codice;
	private TipologiaImmobile tipologia;
	private int mq;
	private String descrizione;
	private String citta;
	private String zona;
	private int richiesta;
	private boolean ascensore;
	private boolean postoAuto;
	private Date pubblicazione;

	public Annuncio(String codice, TipologiaImmobile tipologia, int mq, String descrizione, String citta, String zona, int richiesta, boolean ascensore, boolean postoAuto, Date pubblicazione)
	{
		this.tipo = decodeTipo(codice);
		this.codice = codice;
		this.tipologia = tipologia;
		this.mq = mq;
		this.descrizione = descrizione;
		this.citta = citta;
		this.zona = zona;
		this.richiesta = richiesta;
		this.ascensore = ascensore;
		this.postoAuto = postoAuto;
		this.pubblicazione = pubblicazione;
	}

	private static TipoAnnuncio decodeTipo(String codice)
	{
		switch (codice.charAt(0))
		{
			case 'A': return TipoAnnuncio.AFFITTO;
			case 'V': return TipoAnnuncio.VENDITA;
			default: throw new IndexOutOfBoundsException();
		}
	}

	public TipoAnnuncio getTipo()
	{
		return tipo;
	}

	public String getCodice()
	{
		return codice;
	}

	public TipologiaImmobile getTipologia()
	{
		return tipologia;
	}

	public int getMq()
	{
		return mq;
	}

	public String getDescrizione()
	{
		return descrizione;
	}

	public String getCitta()
	{
		return citta;
	}

	public String getZona()
	{
		return zona;
	}

	public int getRichiesta()
	{
		return richiesta;
	}

	public boolean hasAscensore()
	{
		return ascensore;
	}

	public boolean hasPostoAuto()
	{
		return postoAuto;
	}

	public Date getPubblicazione()
	{
		return pubblicazione;
	}
}
