package ezc.tests;

import static org.junit.Assert.*;

import java.util.Date;

import org.junit.Before;
import org.junit.Test;

import ezc.model.Annuncio;
import ezc.model.TipoAnnuncio;
import ezc.model.TipologiaImmobile;

public class AnnuncioTests
{
	private Annuncio annuncio;
	
	private Date pubblicazione = new Date();
	
	@Before
	public void setUpAnnuncio()
	{
		annuncio = new Annuncio("V1", TipologiaImmobile.BILOCALE, 55, "Descrizione", "Citt", "Zona", 123456, true, false, pubblicazione);
	}

	@Test
	public void testGetTipo()
	{
		assertEquals(TipoAnnuncio.VENDITA, annuncio.getTipo());
	}

	@Test
	public void testGetCodice()
	{
		assertEquals("V1", annuncio.getCodice());
	}

	@Test
	public void testGetTipologia()
	{
		assertEquals(TipologiaImmobile.BILOCALE, annuncio.getTipologia());
	}

	@Test
	public void testGetMq()
	{
		assertEquals(55, annuncio.getMq());
	}

	@Test
	public void testGetDescrizione()
	{
		assertEquals("Descrizione", annuncio.getDescrizione());
	}

	@Test
	public void testGetCitta()
	{
		assertEquals("Citt", annuncio.getCitta());
	}

	@Test
	public void testGetZona()
	{
		assertEquals("Zona", annuncio.getZona());
	}

	@Test
	public void testGetRichiesta()
	{
		assertEquals(123456, annuncio.getRichiesta());
	}

	@Test
	public void testHasAscensore()
	{
		assertTrue(annuncio.hasAscensore());
	}

	@Test
	public void testHasPostoAuto()
	{
		assertFalse(annuncio.hasPostoAuto());
	}

	@Test
	public void testGetPubblicazione()
	{
		assertEquals(pubblicazione, annuncio.getPubblicazione());
	}

}
